# -*- coding:utf-8 -*-
#
# Copyright (c) nexB Inc. and others. All rights reserved.
# ScanCode is a trademark of nexB Inc.
# SPDX-License-Identifier:Apache-2.0
# See http://www.apache.org/licenses/LICENSE-2.0 for the license text.
# See https://github.com/nexB/scancode-toolkit for support or download.
# See https://aboutcode.org for more information about nexB OSS projects.

#
# This is a list of mostly english words that are specific to licenses. This list is used to
# classify words as legalese or as less interesting non-legalese aka. "junk" words. We map these
# common license words aka. legalese to a token id number. Multiple words may have the same token id
# when they are considered equivalent, like with some english/us spelling variants or with typos.
# When adding or updating this, carefully check the token ids assignments and run this script to
# regenerate proper sorted sequence token ids as a new script you can dif to update this script.
# check also the non-legaless mapping at the bottom

common_license_words = {
'3orgplv2':0,
'4suite':1,
'abandon':2,
'abandons':2,
'abandoned':3,
'abbreviated':4,
'abbreviations':5,
'abbreviation':5,
'abide':6,
'abiding':7,
'ability':8,
'abridgement':9,
'abridgment':9,
'abridgments':9,
'abrogate':10,
'abstraction':11,
'abused':12,
'abusive':13,
'acccuracy':14,
'accelerates':15,
'acceptable':16,
'acceptance':17,
'acceptation':18,
'accepte':19,
'accepts':19,
'accept':19,
'accepted':20,
'accepting':21,
'accesses':22,
'accessing':23,
'accessories':24,
'accessory':24,
'accident':25,
'accidents':25,
'accidental':26,
'accommodate':27,
'accommodation':28,
'accompanied':29,
'accompanies':30,
'accompany':30,
'acompanies':30,
'accompanying':31,
'accomplishes':32,
'accomplishing':33,
'accordance':34,
'according':35,
'accordingly':36,
'accords':37,
'accord':37,
'accountability':38,
'accounted':39,
'accounting':40,
'accrue':41,
'accrued':42,
'accruing':43,
'accuracy':44,
'accurately':45,
'accusations':46,
'accused':47,
'accusing':48,
'achieve':49,
'achieves':49,
'acknowldgement':50,
'acknowledegement':50,
'acknowledgement':50,
'acknowledgements':50,
'acknowledgment':50,
'acknowledgments':50,
'acknowlegdement':50,
'acknowlegement':50,
'acknowlegements':50,
'acknowledge':51,
'acknowledges':51,
'acknowledged':52,
'acknowledging':53,
'acquiescence':54,
'acquire':55,
'acquires':55,
'acquired':56,
'acquiring':57,
'acquisition':58,
'acquisitions':58,
'acronyms':59,
'act':60,
'acts':60,
'acting':61,
'actional':62,
'activates':63,
'activating':64,
'activations':65,
'activities':66,
'adaptation':67,
'adaptations':67,
'adapted':68,
'adapters':69,
'adapting':70,
'adaption':71,
'adaptions':72,
'adaptive':73,
'adapts':74,
'addendum':75,
'addendums':76,
'adding':77,
'addional':78,
'additionally':79,
'additionref':80,
'additions':81,
'addressable':82,
'addressee':83,
'adequacy':84,
'adhere':85,
'adhered':86,
'adherence':87,
'adheres':88,
'adhering':89,
'adhesion':90,
'adjudicate':91,
'adjudication':92,
'adjusting':93,
'adjusts':94,
'administer':95,
'administers':96,
'admission':97,
'admitted':98,
'adopted':99,
'adopters':100,
'adopting':101,
'adress':102,
'advancing':103,
'adversary':104,
'adverse':105,
'adversely':106,
'advertise':107,
'advertised':108,
'advertisement':109,
'advertisements':110,
'advertisers':111,
'advertises':112,
'advertising':113,
'adverts':114,
'advice':115,
'advise':116,
'advised':117,
'advises':118,
'advising':119,
'afero':120,
'affected':121,
'affecting':122,
'affects':123,
'affero':124,
'affichage':125,
'affiliate':126,
'affiliated':127,
'affiliates':128,
'affiliation':129,
'affirm':130,
'affirmative':131,
'affirmatively':132,
'affirmed':133,
'affirming':134,
'affirms':135,
'affix':136,
'affixed':137,
'affixes':138,
'afforded':139,
'affording':140,
'afl21':141,
'aforementioned':142,
'aforesaid':143,
'afpl':144,
'agencies':145,
'agency':146,
'aggregate':147,
'aggregated':148,
'aggregates':149,
'aggregating':150,
'aggregation':151,
'agpl':152,
'agpl1':153,
'agplv1':153,
'agplv10':153,
'agpl1+':154,
'agplv1+':154,
'agplv10+':154,
'agpl2':155,
'apglv2':155,
'agpl20':155,
'agplv2':155,
'agplv20':155,
'agpl2+':156,
'agpl20+':156,
'agplv2+':156,
'agplv20+':156,
'agpl3':157,
'apglv3':157,
'agpl30':157,
'agplv3':157,
'agplv30':157,
'agpl3+':158,
'agpl30+':158,
'agplv30+':158,
'agplv3+':158,
'agpld':159,
'agpled':160,
'agpllicense':161,
'agree':162,
'agreeable':163,
'agreed':164,
'agreeing':165,
'agreement':166,
'agreements':166,
'agrees':167,
'aiding':168,
'akin':169,
'al2':170,
'albeit':171,
'aligned':172,
'allegation':173,
'allege':174,
'alleged':175,
'allegedly':176,
'alleges':177,
'alleging':178,
'alleviate':179,
'alliance':180,
'allocated':181,
'allowable':182,
'allowance':183,
'allowing':184,
'allrights':185,
'alongside':186,
'alter':187,
'alteration':188,
'alterations':189,
'altered':190,
'altering':191,
'alternate':192,
'alternately':193,
'alternatively':194,
'alters':195,
'altogether':196,
'ambiguities':197,
'ambiguous':198,
'amenability':199,
'amend':200,
'amended':201,
'amendements':202,
'amendment':203,
'amendments':204,
'amends':205,
'amicable':206,
'amicably':207,
'amongst':208,
'amounts':209,
'ample':210,
'analogous':211,
'analog':211,
'analogue':211,
'analysis':212,
'analyzes':213,
'analyze':213,
'analyses':213,
'analyse':213,
'ancillary':214,
'annexes':215,
'annex':215,
'annotating':216,
'annotations':217,
'annotation':217,
'announce':218,
'announced':219,
'announcement':220,
'announcements':221,
'announces':222,
'announcing':223,
'annum':224,
'anonymized':225,
'anonymously':226,
'antecedent':227,
'anthologies':228,
'anthology':229,
'anticipate':230,
'anticipates':231,
'anticipatory':232,
'antidiscrimination':233,
'antithetical':234,
'antitrust':235,
'anybody':236,
'anyone':237,
'anytime':238,
'anywhere':239,
'apache2':240,
'apache20':241,
'apacheorg':242,
'apachev2':243,
'apapche':244,
'apcahe':244,
'apache':244,
'apcs02':245,
'apgl':246,
'apl':247,
'apl1':248,
'apl2':249,
'aplv2':250,
'apologies':251,
'apparatus':252,
'appeal':253,
'appealable':254,
'appeals':255,
'appearance':256,
'appeared':257,
'appearing':258,
'appelant':259,
'appendices':260,
'appending':261,
'appendix':262,
'appliances':263,
'applicability':264,
'applicable':265,
'applicables':266,
'applied':267,
'applying':268,
'appoint':269,
'appointed':270,
'appoints':271,
'appreciative':272,
'apprised':273,
'appropriate':274,
'appropriateness':275,
'appropriation':276,
'approval':277,
'approvals':278,
'approved':279,
'approving':280,
'approximates':281,
'apsl':282,
'arbitral':283,
'arbitrated':284,
'arbitration':285,
'arbitrator':286,
'arbitrators':287,
'architectures':288,
'archival':289,
'archiving':290,
'arguable':291,
'arise':292,
'arises':293,
'arising':294,
'arithmetic':295,
'arose':296,
'arrange':297,
'arranged':298,
'arrangement':299,
'arrangements':300,
'arranging':301,
'arrears':302,
'artifact':303,
'artifacts':303,
'artefact':303,
'artefacts':303,
'artistic':304,
'artistic2':305,
'artisticv2':306,
'ascertain':307,
'ascertainable':308,
'ascribable':309,
'ascribed':310,
'asl2':311,
'assemble':312,
'assemblers':313,
'assemblies':314,
'assembling':315,
'assent':316,
'assented':317,
'assenting':318,
'assents':319,
'asserted':320,
'asserting':321,
'assertion':322,
'assertions':323,
'asserts':324,
'assessment':325,
'assessments':326,
'assign':327,
'assignability':328,
'assignable':329,
'assigned':330,
'assignee':331,
'assignees':332,
'assigning':333,
'assignment':334,
'assignments':335,
'assigns':336,
'assimilated':337,
'assist':338,
'assisted':339,
'assisting':340,
'associating':341,
'assume':342,
'assumed':343,
'assumes':344,
'assuming':345,
'assumption':346,
'assumptions':347,
'assurance':348,
'assurances':349,
'assure':350,
'assures':351,
'attaching':352,
'attachments':353,
'attn':354,
'attorney':355,
'attorneys':356,
'attributable':357,
'attributed':358,
'attributing':359,
'attribution':360,
'attributions':361,
'audit':362,
'audited':363,
'auditing':364,
'auditor':365,
'auditors':366,
'audits':367,
'augment':368,
'authentic':369,
'authenticated':370,
'authentication':371,
'authenticity':372,
'author':373,
'authored':374,
'authoring':375,
'authorise':376,
'authorises':376,
'authorizes':376,
'authorize':376,
'authorised':377,
'authorized':377,
'authorising':378,
'authorizing':378,
'authoritative':379,
'authorities':380,
'authority':381,
'authorizations':382,
'authorisations':382,
'authorisation':382,
'authorization':382,
'authors':383,
'authorship':384,
'authorware':385,
'automate':386,
'automatically':387,
'auxilliary':388,
'availability':389,
'avoidance':390,
'avoids':391,
'awaited':392,
'awarded':393,
'aware':394,
'awhile':395,
'backdoors':396,
'backends':397,
'backups':398,
'bankrupt':399,
'bargain':400,
'barr':401,
'barred':402,
'barring':403,
'bartering':404,
'basis':405,
'bearer':406,
'beerware':407,
'beforehand':408,
'behance':409,
'behaves':410,
'behaving':411,
'behest':412,
'belonging':413,
'benchmark':414,
'benchmarking':415,
'benchmarks':416,
'beneficiaries':417,
'beneficiary':418,
'benefited':419,
'benefiting':420,
'benefits':421,
'benefitted':422,
'berkeley':423,
'berkeleydb':424,
'beware':425,
'bigotry':426,
'bilingually':427,
'bill':428,
'billable':429,
'billboard':430,
'billing':431,
'binaries':432,
'binary':433,
'binders':434,
'binds':435,
'blamed':436,
'blessing':437,
'blessings':438,
'blockages':439,
'blurb':440,
'blurred':441,
'blurs':442,
'bodily':443,
'boilerplate':444,
'borrow':445,
'borrowed':446,
'bounces':447,
'bounds':448,
'bracketed':449,
'brag':450,
'brand':451,
'branded':452,
'branding':453,
'brands':454,
'breached':455,
'breaches':456,
'breaching':457,
'bribery':458,
'broadcastings':459,
'broadcasts':460,
'broadened':461,
'broadest':462,
'broadly':463,
'bsd2':464,
'bsd3':465,
'bsdcopyrightbegin':466,
'bsdcopyrightend':467,
'bsdlicense':468,
'bsl1':469,
'bugfree':470,
'buildable':471,
'bulk':472,
'bulletted':473,
'bullies':474,
'bundled':475,
'bundles':476,
'bundling':477,
'burdening':478,
'burdensome':479,
'businesses':480,
'businessmen':481,
'butors':482,
'buy':483,
'buyer':484,
'buyers':485,
'buying':486,
'buyout':487,
'byproduct':488,
'bytecode':489,
'caching':490,
'campaigned':491,
'canceled':492,
'cancelled':492,
'cancellable':493,
'cancellation':494,
'cancelling':495,
'cancels':496,
'cannot':497,
'canonical':498,
'canonicalize':499,
'capabilities':500,
'capability':501,
'capacity':502,
'capitalised':503,
'capitalizations':504,
'capitalisations':504,
'capitalization':504,
'capitalized':505,
'captions':506,
'captivate':507,
'captures':508,
'cardholder':509,
'carefully':510,
'cascade':511,
'cashed':512,
'catalog':513,
'catalogue':513,
'catastrophes':514,
'catastrophic':515,
'categorize':516,
'categorise':516,
'categorized':517,
'categorised':517,
'caused':518,
'causes':519,
'cautioned':520,
'caveat':521,
'caveats':522,
'cc0':523,
'cddl':524,
'cddl+gpl':525,
'cddl1':526,
'cddllicense':527,
'cddlv1':528,
'cease':529,
'ceased':530,
'ceases':531,
'ceasing':532,
'cecill':533,
'cecill1':534,
'cern':535,
'certains':536,
'certainty':537,
'certificate':538,
'certificates':539,
'certification':540,
'certifications':541,
'certified':542,
'certifier':543,
'certifies':544,
'certify':545,
'certifying':546,
'cessation':547,
'cessible':548,
'cession':549,
'changed':550,
'changelog':551,
'changing':552,
'characteristics':553,
'characterization':554,
'characterize':555,
'characterized':556,
'charge':557,
'charged':558,
'charges':559,
'charging':560,
'chartered':561,
'charting':562,
'checker':563,
'cheerefully':564,
'cheerful':565,
'chipsets':566,
'choices':567,
'chooses':568,
'cinematographic':569,
'cinematography':570,
'cipher':571,
'ciphersuites':572,
'circuitry':573,
'circulate':574,
'circulated':575,
'circumstance':576,
'circumstances':577,
'circumvent':578,
'circumvented':579,
'circumventing':580,
'circumvention':581,
'circumventions':582,
'circumvents':583,
'citing':584,
'citizen':585,
'claim':586,
'claimant':587,
'claimed':588,
'claiming':589,
'claims':590,
'clarification':591,
'clarifications':592,
'clarified':593,
'clarifies':594,
'clarify':595,
'clarifying':596,
'clarity':597,
'clash':598,
'classifications':599,
'classifier':600,
'classify':601,
'clause':602,
'clauses':603,
'clearance':604,
'clearances':605,
'clearer':606,
'clients':607,
'closely':608,
'clustered':609,
'cobranding':610,
'codebase':611,
'codecs':612,
'codes':613,
'coextensive':614,
'coherence':615,
'coincidental':616,
'colamd':617,
'collapsed':618,
'collated':619,
'collateral':620,
'collected':621,
'collecting':622,
'collective':623,
'collectively':624,
'collects':625,
'combinations':626,
'combining':627,
'comercial':628,
'commence':629,
'commences':630,
'commencing':631,
'commensurate':632,
'commerce':633,
'commercial':634,
'commerical':634,
'comerical':634,
'commercialise':635,
'commerciality':636,
'commercialization':637,
'commercialize':638,
'commercially':639,
'commerically':639,
'comerically':639,
'commissions':640,
'committee':641,
'communes':642,
'communicated':643,
'communicates':644,
'communicating':645,
'communicator':646,
'communities':647,
'community':648,
'communitysource':649,
'commutative':650,
'companies':651,
'comparable':652,
'comparably':653,
'comparative':654,
'compat':655,
'compatibilite':656,
'compelled':657,
'compensate':658,
'compensated':659,
'compensation':660,
'compete':661,
'competence':662,
'competes':663,
'competing':664,
'competition':665,
'competitive':666,
'competitor':667,
'competitors':668,
'compilable':669,
'compilation':670,
'compilations':671,
'compilers':672,
'compiling':673,
'complain':674,
'complained':675,
'complaining':676,
'complaint':677,
'complaints':678,
'complementary':679,
'complements':680,
'complet':681,
'completely':682,
'completeness':683,
'completes':684,
'completey':685,
'completing':686,
'complexe':687,
'compliance':688,
'compliant':689,
'complicate':690,
'complications':691,
'complied':692,
'complier':693,
'complies':694,
'complile':695,
'comply':696,
'complye':697,
'complying':698,
'composants':699,
'compositions':700,
'comprehensiblity':701,
'compress':702,
'compressing':703,
'compris':704,
'comprise':705,
'comprised':706,
'comprises':707,
'comprising':708,
'compromised':709,
'compromises':710,
'compromising':711,
'compulsory':712,
'concedes':713,
'conceived':714,
'conceptually':715,
'concern':716,
'concerned':717,
'concerning':718,
'concerns':719,
'concertation':720,
'concession':721,
'conciliation':722,
'concisely':723,
'conclude':724,
'concluded':725,
'concludes':726,
'concordance':727,
'concurrence':728,
'concurrent':729,
'concurrently':730,
'concursive':731,
'condensation':732,
'conditional':733,
'conditionally':734,
'conditioned':735,
'conditioning':736,
'conducted':737,
'conducts':738,
'confer':739,
'conferred':740,
'conferring':741,
'confers':742,
'confidence':743,
'confidential':744,
'confidentiality':745,
'configuration':746,
'configured':747,
'configures':748,
'confined':749,
'confirmation':750,
'confirmed':751,
'confirming':752,
'confirms':753,
'conflating':754,
'conflict':755,
'conflicting':756,
'conflicts':757,
'conflit':758,
'conflits':759,
'confluent':760,
'conformance':761,
'conformant':762,
'conformation':763,
'conforming':764,
'conformit':765,
'conformity':766,
'conforms':767,
'confuse':768,
'confusingly':769,
'conjectures':770,
'conjunction':771,
'connected':772,
'connection':773,
'connections':774,
'consecutive':775,
'consensus':776,
'consent':777,
'consented':778,
'consenting':779,
'consents':780,
'consequences':781,
'consequental':782,
'consequential':783,
'consequently':784,
'conservation':785,
'conservatory':786,
'considerable':787,
'consideration':788,
'considerations':789,
'considering':790,
'consignment':791,
'consise':792,
'consist':793,
'consistency':794,
'consistent':795,
'consistently':796,
'consisting':797,
'consists':798,
'consor':799,
'conspicuous':800,
'conspicuously':801,
'constants':802,
'constitue':803,
'constituent':804,
'constitues':805,
'constitute':806,
'constitutes':807,
'constituting':808,
'constrained':809,
'constraints':810,
'construe':811,
'construed':812,
'construing':813,
'consult':814,
'consultant':815,
'consultants':816,
'consultation':817,
'consultations':818,
'consume':819,
'consumed':820,
'consumer':821,
'consumers':822,
'contactable':823,
'contacted':824,
'contacting':825,
'contacts':826,
'contemplated':827,
'contemplates':828,
'contemplating':829,
'contemplation':830,
'contemporaneous':831,
'contemporaneously':832,
'contend':833,
'contesting':834,
'contexts':835,
'contibutors':836,
'contient':837,
'contingent':838,
'continual':839,
'continuations':840,
'continued':841,
'continuing':842,
'continuous':843,
'continuously':844,
'contract':845,
'contractantes':846,
'contractdescription':847,
'contracted':848,
'contracting':849,
'contractor':850,
'contractors':851,
'contracts':852,
'contractual':853,
'contractually':854,
'contradict':855,
'contradicted':856,
'contradiction':857,
'contradicts':858,
'contrary':859,
'contrat':860,
'contravene':861,
'contravention':862,
'contre':863,
'contri':864,
'contrib':865,
'contribs':866,
'contribute':867,
'contributed':868,
'contributers':869,
'contributes':870,
'contributing':871,
'contribution':872,
'contributions':873,
'contributorily':874,
'contributory':875,
'controlled':876,
'controller':877,
'controlling':878,
'controls':879,
'controversies':880,
'convenience':881,
'conveniens':882,
'convenient':883,
'conveniently':884,
'convention':885,
'conventionally':886,
'conventions':887,
'convering':888,
'convey':889,
'conveyance':890,
'conveyed':891,
'conveying':892,
'conveys':893,
'cooperate':894,
'cooperates':895,
'cooperating':896,
'copied':897,
'copyfarleft':898,
'copyfree':899,
'copying':900,
'copying3':901,
'copyingv2':902,
'copyingv23':903,
'copyleft':904,
'copylefted':905,
'copylefts':906,
'copyrightable':907,
'copyrightbegin':908,
'copyrighted':909,
'copyrightend':910,
'copyrighting':911,
'copyrightnotice':912,
'copyrights':913,
'copyrightstart':914,
'cores':915,
'corpora':916,
'corporate':917,
'correcting':918,
'corrections':919,
'correctly':920,
'correctness':921,
'corrects':922,
'correlate':923,
'correlated':924,
'correlations':925,
'correspond':926,
'correspondence':927,
'correspondent':928,
'correspondingly':929,
'corresponds':930,
'corroborated':931,
'corrupt':932,
'corrupted':933,
'corrupting':934,
'cosl':935,
'cost':936,
'costs':937,
'council':938,
'countdown':939,
'counterclaim':940,
'counterclaims':941,
'counterpart':942,
'counterparts':943,
'counties':944,
'countries':945,
'county':946,
'courier':947,
'cours':948,
'court':949,
'courts':950,
'coutries':951,
'covenant':952,
'covenants':953,
'coverage':954,
'covered':955,
'covering':956,
'covers':957,
'coworkers':958,
'coypright':959,
'cpal':960,
'cpl':961,
'cpl1':962,
'cplv1':963,
'cpol':964,
'cpol10':965,
'crashed':966,
'creating':967,
'creativecommons':968,
'creators':969,
'credential':970,
'credentials':971,
'credit':972,
'crediting':973,
'creditors':974,
'crests':975,
'crime':976,
'crimes':977,
'cripple':978,
'crippled':979,
'crypto':980,
'cryptographic':981,
'cryptography':982,
'cui':983,
'culpa':984,
'culpably':985,
'curable':986,
'cured':987,
'cures':988,
'curis':989,
'curit':990,
'currencies':991,
'currency':992,
'currently':993,
'currentness':994,
'cursors':995,
'curt':996,
'curtail':997,
'customarily':998,
'customization':999,
'customizations':1000,
'customize':1001,
'customizing':1002,
'cutable':1003,
'daemonize':1004,
'daemons':1005,
'damage':1006,
'damages':1007,
'damaging':1008,
'databases':1009,
'datacenter':1010,
'datacentre':1010,
'datafiles':1011,
'datasets':1012,
'deactivate':1013,
'deactivation':1014,
'deadlines':1015,
'deal':1016,
'dealer':1017,
'dealers':1018,
'dealing':1019,
'dealings':1020,
'deals':1021,
'deattack':1022,
'debited':1023,
'debtor':1024,
'deceit':1025,
'deceptive':1026,
'decide':1027,
'decided':1028,
'decides':1029,
'deciding':1030,
'decipher':1031,
'decision':1032,
'decisions':1033,
'declaim':1034,
'declaration':1035,
'declarations':1036,
'declaratory':1037,
'declare':1038,
'declared':1039,
'declares':1040,
'declaring':1041,
'declatory':1042,
'decline':1043,
'declined':1044,
'declines':1045,
'declining':1046,
'decoded':1047,
'decoder':1048,
'decoders':1049,
'decodes':1050,
'decoding':1051,
'decommissioned':1052,
'decompilation':1053,
'decompile':1054,
'decompiled':1055,
'decompiling':1056,
'decompose':1057,
'decomposition':1058,
'decompress':1059,
'decompressed':1060,
'decompresses':1061,
'decompressible':1062,
'decompressing':1063,
'decompression':1064,
'decompressor':1065,
'decoupling':1066,
'decreases':1067,
'decree':1068,
'decrypt':1069,
'decrypting':1070,
'decryption':1071,
'dedicate':1072,
'dedicated':1073,
'dedicates':1074,
'dedicating':1075,
'dedication':1076,
'dedications':1077,
'dedicator':1078,
'dedicators':1079,
'deduct':1080,
'deducted':1081,
'deducting':1082,
'deduction':1083,
'deductions':1084,
'deem':1085,
'deemed':1086,
'deems':1087,
'deface':1088,
'defamation':1089,
'defamatory':1090,
'defames':1091,
'defaulting':1092,
'defeats':1093,
'defect':1094,
'defective':1095,
'defects':1096,
'defendant':1097,
'defending':1098,
'defends':1099,
'defenses':1100,
'defer':1101,
'deferred':1102,
'deffects':1103,
'deficiencies':1104,
'deficient':1105,
'definable':1106,
'defines':1107,
'defini':1108,
'defining':1109,
'definitive':1110,
'defraud':1111,
'degraded':1112,
'degrading':1113,
'degree':1114,
'dejacode':1115,
'delegate':1116,
'delegated':1117,
'deletes':1118,
'deleting':1119,
'deletions':1120,
'deliberate':1121,
'deliberately':1122,
'delineated':1123,
'delineates':1124,
'delinquent':1125,
'deliver':1126,
'deliverable':1127,
'deliverables':1128,
'delivered':1129,
'deliveries':1130,
'delivering':1131,
'delivery':1132,
'demand':1133,
'demarcate':1134,
'demonstrate':1135,
'demonstrated':1136,
'demonstrates':1137,
'demonstrating':1138,
'demonstration':1139,
'demonstrations':1140,
'denied':1141,
'denies':1142,
'denominated':1143,
'denominator':1144,
'denoted':1145,
'denying':1146,
'department':1147,
'dependant':1148,
'depict':1149,
'depicted':1150,
'depictions':1151,
'deployed':1152,
'deploying':1153,
'deployment':1154,
'deployments':1155,
'deploys':1156,
'deposited':1157,
'deprecates':1158,
'depreciated':1159,
'depreciation':1160,
'deprive':1161,
'deprives':1162,
'derivate':1163,
'derivates':1164,
'derivation':1165,
'derivations':1166,
'derivative':1167,
'derivatives':1168,
'derivativeworks':1169,
'deriving':1170,
'derogation':1171,
'derogatory':1172,
'dervived':1173,
'descended':1174,
'descramble':1175,
'describes':1176,
'describing':1177,
'descriptions':1178,
'descriptive':1179,
'designate':1180,
'designated':1181,
'designates':1182,
'designation':1183,
'designations':1184,
'designed':1185,
'designee':1186,
'designees':1187,
'designs':1188,
'desiring':1189,
'desist':1190,
'desktop':1191,
'despite':1192,
'destroying':1193,
'destroys':1194,
'destruction':1195,
'destructive':1196,
'detailed':1197,
'detailing':1198,
'deter':1199,
'determination':1200,
'determined':1201,
'determines':1202,
'determining':1203,
'detract':1204,
'detriment':1205,
'detrimental':1206,
'detrimentally':1207,
'developing':1208,
'deviate':1209,
'deviations':1210,
'devised':1211,
'devising':1212,
'devolve':1213,
'dfar':1214,
'dfars':1215,
'dfsg':1216,
'diacritics':1217,
'diagnose':1218,
'diagnostics':1219,
'dialect':1220,
'dictates':1221,
'didactic':1222,
'differentiate':1223,
'differently':1224,
'differs':1225,
'diffused':1226,
'digitally':1227,
'diligence':1228,
'diligent':1229,
'dilutes':1230,
'diminish':1231,
'diminished':1232,
'diplomatic':1233,
'directed':1234,
'directing':1235,
'directives':1236,
'directly':1237,
'directorates':1238,
'directories':1239,
'directs':1240,
'disabling':1241,
'disadvantages':1242,
'disagree':1243,
'disagreement':1244,
'disagreements':1245,
'disallow':1246,
'disallowed':1247,
'disappearing':1248,
'disassemble':1249,
'disassembled':1250,
'disassembling':1251,
'disassembly':1252,
'disbursements':1253,
'discharge':1254,
'disclaim':1255,
'disclaimed':1256,
'disclaimer':1257,
'disclaimers':1258,
'disclaiming':1259,
'disclaims':1260,
'disclose':1261,
'disclosed':1262,
'discloser':1263,
'discloses':1264,
'disclosing':1265,
'disclosure':1266,
'disclosures':1267,
'disconnect':1268,
'disconnected':1269,
'disconnecting':1270,
'discontinuance':1271,
'discontinuation':1272,
'discontinue':1273,
'discontinued':1274,
'discontinues':1275,
'discontinuing':1276,
'discourage':1277,
'discouraged':1278,
'discourages':1279,
'discoverable':1280,
'discoveries':1281,
'discovering':1282,
'discovers':1283,
'discrepancy':1284,
'discretion':1285,
'discriminating':1286,
'discrimination':1287,
'discriminatory':1288,
'discuss':1289,
'discussed':1290,
'discusses':1291,
'discussing':1292,
'disjunctively':1293,
'diskette':1294,
'dismissal':1295,
'disoriented':1296,
'disparaging':1297,
'disparate':1298,
'disperse':1299,
'displayed':1300,
'displays':1301,
'dispose':1302,
'disposing':1303,
'disposition':1304,
'dispositions':1305,
'dispute':1306,
'disputes':1307,
'disregard':1308,
'disregarded':1309,
'disregarding':1310,
'disrupt':1311,
'disruption':1312,
'disruptions':1313,
'disrupts':1314,
'dissatisfied':1315,
'disseminate':1316,
'disseminated':1317,
'dissimilar':1318,
'dissolution':1319,
'distillation':1320,
'distinct':1321,
'distinction':1322,
'distinctive':1323,
'distinctly':1324,
'distinguish':1325,
'distinguished':1326,
'distinguishes':1327,
'distinguishing':1328,
'distort':1329,
'distorted':1330,
'distrabuted':1331,
'distracted':1332,
'distracts':1333,
'distribuable':1334,
'distributable':1335,
'distribute':1336,
'distributed':1337,
'distributee':1338,
'distributees':1339,
'distributes':1340,
'distributing':1341,
'distribution':1342,
'distributions':1343,
'distributor':1344,
'distributors':1345,
'distrubuted':1346,
'disturbance':1347,
'disturbances':1348,
'divergence':1349,
'diverses':1350,
'diversion':1351,
'divert':1352,
'dividuals':1353,
'divisional':1354,
'divulge':1355,
'dmca':1356,
'doctrine':1357,
'doctrines':1358,
'documented':1359,
'documenting':1360,
'dommage':1361,
'dommages':1362,
'doomed':1363,
'dormant':1364,
'doubly':1365,
'doubt':1366,
'doubtful':1367,
'doubts':1368,
'downgraded':1369,
'downloadable':1370,
'downloader':1371,
'downloaders':1372,
'downloading':1373,
'downloads':1374,
'downstream':1375,
'downtime':1376,
'draft':1377,
'drafted':1378,
'drafter':1379,
'drafting':1380,
'drafts':1381,
'dramatisation':1382,
'dramatization':1383,
'drm':1384,
'dually':1385,
'duct':1386,
'dues':1387,
'dug':1388,
'duly':1389,
'dumping':1390,
'duplicated':1391,
'duplicating':1392,
'durability':1393,
'dynamically':1394,
'earthquakes':1395,
'economic':1396,
'ecosgplcopyrightbegin':1397,
'ecosgplcopyrightend':1398,
'editable':1399,
'edited':1400,
'edition':1401,
'editions':1402,
'editorial':1403,
'effect':1404,
'effected':1405,
'effectively':1406,
'effectiveness':1407,
'effectuates':1408,
'effort':1409,
'efforts':1410,
'elaboration':1411,
'elaborations':1412,
'elapsed':1413,
'elect':1414,
'electric':1415,
'electrical':1416,
'electronic':1417,
'electronics':1418,
'elects':1419,
'eligibility':1420,
'eligible':1421,
'eliminating':1422,
'elsewhere':1423,
'embargo':1424,
'embargoed':1425,
'embargoes':1426,
'embarrassment':1427,
'embed':1428,
'embedded':1429,
'embedding':1430,
'embeds':1431,
'emblems':1432,
'embodied':1433,
'embodies':1434,
'embodiment':1435,
'embodiments':1436,
'emit':1437,
'emphasized':1438,
'emphasised':1438,
'employees':1439,
'employer':1440,
'employers':1441,
'employing':1442,
'employs':1443,
'empowered':1444,
'emulate':1445,
'emulator':1446,
'enablement':1447,
'enables':1448,
'enabling':1449,
'encapsulated':1450,
'enchancements':1451,
'enclose':1452,
'encoder':1453,
'encodings':1454,
'encompass':1455,
'encourage':1456,
'encouraged':1457,
'encourages':1458,
'encouraging':1459,
'encourge':1460,
'encrypt':1461,
'encrypted':1462,
'encumber':1463,
'encumbered':1464,
'encumbrance':1465,
'encumbrances':1466,
'endanger':1467,
'endangering':1468,
'enddispute':1469,
'endeavor':1470,
'endeavors':1471,
'endeavour':1472,
'endeavours':1473,
'ended':1474,
'endorse':1475,
'endorsed':1476,
'endorsement':1477,
'endorsements':1478,
'endorses':1479,
'enduser':1480,
'enforce':1481,
'enforceability':1482,
'enforceable':1483,
'enforced':1484,
'enforcement':1485,
'enforcements':1486,
'enforcing':1487,
'engagements':1488,
'engages':1489,
'engaging':1490,
'engelen':1491,
'engieered':1492,
'engineer':1493,
'engineered':1494,
'engineers':1495,
'engraving':1496,
'enhance':1497,
'enhancement':1498,
'enhancements':1499,
'enhancing':1500,
'enjoin':1501,
'enjoined':1502,
'enjoining':1503,
'enjoyment':1504,
'enjoys':1505,
'enlarged':1506,
'enquire':1507,
'enquiries':1508,
'enrichment':1509,
'enshrines':1510,
'ensure':1511,
'ensured':1512,
'ensures':1513,
'ensuring':1514,
'entail':1515,
'entanglement':1516,
'entered':1517,
'entertain':1518,
'ential':1519,
'entirety':1520,
'entitle':1521,
'entitled':1522,
'entitlement':1523,
'entitles':1524,
'enumerated':1525,
'epl':1526,
'equitable':1527,
'equivalence':1528,
'equivalently':1529,
'erase':1530,
'erased':1531,
'erasing':1532,
'errant':1533,
'errata':1534,
'erroneously':1535,
'esq':1536,
'essence':1537,
'essental':1538,
'essential':1539,
'essentiality':1540,
'essentially':1541,
'essentials':1542,
'establish':1543,
'established':1544,
'establishes':1545,
'establishment':1546,
'estate':1547,
'estoppel':1548,
'estoppels':1549,
'ethic':1550,
'ethical':1551,
'ethics':1552,
'eula':1553,
'eulas':1554,
'evaluated':1555,
'evaluating':1556,
'evaluations':1557,
'eventually':1558,
'everyone':1559,
'everywhere':1560,
'evidence':1561,
'evidenced':1562,
'evidences':1563,
'evidencing':1564,
'evident':1565,
'evil':1566,
'evolve':1567,
'exactitude':1568,
'exactly':1569,
'excecutable':1570,
'exceeded':1571,
'exceeding':1572,
'exceeds':1573,
'excepted':1574,
'excepting':1575,
'exceptionally':1576,
'excerpt':1577,
'excerpting':1578,
'excerpts':1579,
'exceutable':1580,
'exchangeability':1581,
'exchanged':1582,
'excise':1583,
'excludable':1584,
'excludes':1585,
'exclusion':1586,
'exclusions':1587,
'exclusive':1588,
'exclusively':1589,
'exclusivity':1590,
'exculsion':1591,
'excusable':1592,
'excused':1593,
'executable':1594,
'executables':1595,
'execute':1596,
'executed':1597,
'executes':1598,
'executing':1599,
'executives':1600,
'executors':1601,
'exemplar':1602,
'exemplary':1603,
'exemple':1604,
'exempt':1605,
'exempted':1606,
'exemption':1607,
'exemptions':1608,
'exempts':1609,
'exercice':1610,
'exercise':1611,
'exercised':1612,
'exercises':1613,
'exercising':1614,
'exerpt':1615,
'exertion':1616,
'exhausted':1617,
'exhaustion':1618,
'exhaustive':1619,
'exhaustively':1620,
'exhibit':1621,
'exhibit1':1622,
'exhibits':1623,
'existed':1624,
'existing':1625,
'expansions':1626,
'expectation':1627,
'expedited':1628,
'expend':1629,
'expense':1630,
'expenses':1631,
'expensive':1632,
'experimentation':1633,
'expiration':1634,
'expired':1635,
'expiring':1636,
'expiry':1637,
'explain':1638,
'explained':1639,
'explanation':1640,
'explanatory':1641,
'explcit':1642,
'explicite':1643,
'explicitely':1644,
'explicitly':1645,
'explictly':1646,
'explode':1647,
'exploitation':1648,
'exploited':1649,
'exploiter':1650,
'exploiting':1651,
'explosions':1652,
'exportation':1653,
'exportations':1654,
'exported':1655,
'exporter':1656,
'exporting':1657,
'exposes':1658,
'exposing':1659,
'exposition':1660,
'express':1661,
'expresse':1662,
'expressed':1663,
'expresses':1664,
'expressly':1665,
'expropriate':1666,
'extangular':1667,
'extant':1668,
'extended':1669,
'extending':1670,
'extensive':1671,
'extensively':1672,
'extent':1673,
'extenuating':1674,
'exterieure':1675,
'externally':1676,
'extracting':1677,
'extractor':1678,
'extractors':1679,
'extractres':1680,
'extranet':1681,
'extraordinarily':1682,
'extrinsic':1683,
'facilitate':1684,
'facilitated':1685,
'facilitates':1686,
'facilitating':1687,
'facilitator':1688,
'facsimile':1689,
'factual':1690,
'failing':1691,
'failure':1692,
'fairness':1693,
'faith':1694,
'falsely':1695,
'familiarize':1696,
'farther':1697,
'faults':1698,
'faulty':1699,
'favor':1700,
'favour':1700,
'favorable':1701,
'favoring':1702,
'favorite':1703,
'favourite':1703,
'favourable':1704,
'favoured':1705,
'faxed':1706,
'federally':1707,
'federation':1708,
'fee':1709,
'feebearing':1710,
'fees':1711,
'fetched':1712,
'fetcher':1713,
'fidelity':1714,
'fiduciary':1715,
'figurant':1716,
'figurative':1717,
'filed':1718,
'filepath':1719,
'filesharing':1720,
'filesystem':1721,
'finalize':1722,
'finalized':1723,
'finalizing':1724,
'financed':1725,
'finances':1726,
'financially':1727,
'finely':1728,
'fines':1729,
'firewalls':1730,
'firstly':1731,
'fit':1732,
'fitnes':1733,
'fitness':1734,
'fixation':1735,
'fixations':1736,
'flagged':1737,
'flawed':1738,
'flaws':1739,
'floods':1740,
'floss':1741,
'flowcharts':1742,
'fluctuation':1743,
'fluctuations':1744,
'fluent':1745,
'followed':1746,
'follows':1747,
'footnotes':1748,
'fora':1749,
'forbearance':1750,
'forbearances':1751,
'forbid':1752,
'forbidden':1753,
'forbidding':1754,
'forbids':1755,
'forceable':1756,
'forcing':1757,
'forego':1758,
'foregoing':1759,
'foreigner':1760,
'foreseeable':1761,
'foreseen':1762,
'forfeit':1763,
'forfeited':1764,
'forfeiture':1765,
'forgive':1766,
'forgiveness':1767,
'forgoing':1768,
'formal':1769,
'formation':1770,
'formatted':1771,
'formatters':1772,
'formed':1773,
'formulae':1774,
'forwards':1775,
'foss':1776,
'fosters':1777,
'foundation':1778,
'foundry':1779,
'fragmentation':1780,
'fragments':1781,
'frameworks':1782,
'franchisee':1783,
'franklin':1784,
'fraudulent':1785,
'freak':1786,
'freeb':1787,
'freely':1788,
'freemium':1789,
'freer':1790,
'frees':1791,
'freeware':1792,
'frequenting':1793,
'fruition':1794,
'frustrate':1795,
'fulfil':1796,
'fulfils':1796,
'fulfill':1796,
'fulfills':1796,
'fulfilled':1797,
'fulfilling':1798,
'fulfillment':1799,
'fulfilment':1799,
'fullest':1800,
'fullname':1801,
'functional':1802,
'functionalities':1803,
'functionally':1804,
'functioning':1805,
'fundamentally':1806,
'funded':1807,
'funds':1808,
'furlong':1809,
'furnish':1810,
'furnished':1811,
'furnishes':1812,
'furnishing':1813,
'furthermore':1814,
'garanties':1815,
'gather':1816,
'gathered':1817,
'gathering':1818,
'gaurantees':1819,
'genders':1820,
'general':1821,
'generality':1822,
'generics':1823,
'generis':1824,
'generosity':1825,
'geoapi':1826,
'geocentric':1827,
'geocode':1828,
'geocoded':1829,
'geocodes':1830,
'geocoding':1831,
'geodatabase':1832,
'geometric':1833,
'gfdl':1834,
'gfdl1':1835,
'gilt':1836,
'gladly':1837,
'globally':1838,
'glp':1839,
'glpv2':1840,
'glpv3':1841,
'glyphs':1842,
'gnu':1843,
'gnuchess':1844,
'gnulib':1845,
'gnumaniak':1846,
'gnuorg':1847,
'gnuplot':1848,
'gnutls':1849,
'gnuv2':1850,
'goods':1851,
'goodwill':1852,
'goverened':1853,
'govermental':1854,
'govern':1855,
'governance':1856,
'governed':1857,
'governement':1858,
'governing':1859,
'government':1860,
'governmental':1861,
'governments':1862,
'governs':1863,
'gpl':1864,
'gpl+':1865,
'gpl1':1866,
'gpl1+':1867,
'gpl10':1868,
'gpl10+':1869,
'gpl2':1870,
'gpl2+':1871,
'gpl20':1872,
'gpl20+':1873,
'gpl3':1874,
'gpl3+':1875,
'gpl30':1876,
'gpl30+':1877,
'gplcc':1878,
'gplcopyrightbegin':1879,
'gplcopyrightend':1880,
'gpld':1881,
'gpled':1882,
'gplexception':1883,
'gpllibs':1884,
'gpllicense':1885,
'gplog':1886,
'gpls':1887,
'gplv1':1888,
'gplv1+':1889,
'gplv10':1890,
'gplv10+':1891,
'gplv2':1892,
'gplv2+':1893,
'gplv2+ce':1894,
'gplv20':1895,
'gplv20+':1896,
'gplv2h':1897,
'gplv3':1898,
'gplv3+':1899,
'gplv30':1900,
'gplv30+':1901,
'gppl':1902,
'grained':1903,
'grammars':1904,
'grant':1905,
'granted':1906,
'granting':1907,
'grantor':1908,
'grants':1909,
'gratis':1910,
'gratitude':1911,
'grayed':1912,
'greatfully':1913,
'groundless':1914,
'groupe':1915,
'grouped':1916,
'guarantee':1917,
'guaranteed':1918,
'guaranteeing':1919,
'guarantees':1920,
'guarantuee':1921,
'guidance':1922,
'guidelines':1923,
'guiding':1924,
'guilt':1925,
'halt':1926,
'halves':1927,
'handled':1928,
'handset':1929,
'handsets':1930,
'handwritten':1931,
'harassing':1932,
'hardcoding':1933,
'hardcopy':1934,
'hardship':1935,
'harm':1936,
'harmful':1937,
'harming':1938,
'harmless':1939,
'hateful':1940,
'hatred':1941,
'headings':1942,
'headphone':1943,
'headquarters':1944,
'heap':1945,
'hearn':1946,
'heartened':1947,
'heir':1948,
'heirs':1949,
'henceforth':1950,
'herby':1951,
'hereby':1952,
'herefrom':1953,
'herein':1954,
'hereinabove':1955,
'hereinafter':1956,
'hereof':1957,
'hereto':1958,
'hereunder':1959,
'herewith':1960,
'hexagon':1961,
'hidden':1962,
'hierarchical':1963,
'hinder':1964,
'hindrance':1965,
'hippocratic':1966,
'historic':1967,
'historical':1968,
'hoarding':1969,
'hold':1970,
'holding':1971,
'holdings':1972,
'honoraires':1973,
'honoring':1974,
'hosted':1975,
'hostilities':1976,
'howevercaused':1977,
'howsoever':1978,
'howtos':1979,
'humanist':1980,
'humanly':1981,
'hurricanes':1982,
'hyperlinks':1983,
'hyperspace':1984,
'hypertext':1985,
'hypervisor':1986,
'idealogical':1987,
'ideals':1988,
'identifiable':1989,
'identification':1990,
'identifications':1991,
'identifier':1992,
'identifies':1993,
'identifying':1994,
'idents':1995,
'idiocy':1996,
'ignored':1997,
'ignoring':1998,
'ijg':1999,
'illegal':2000,
'illegality':2001,
'illustrates':2002,
'illustrator':2003,
'imagemagick':2004,
'imagined':2005,
'imbedded':2006,
'imitated':2007,
'imitations':2008,
'immaterial':2009,
'immediate':2010,
'immediately':2011,
'immoral':2012,
'immunities':2013,
'immunity':2014,
'impacting':2015,
'impair':2016,
'impairment':2017,
'impairs':2018,
'impartiality':2019,
'impede':2020,
'impeded':2021,
'impediment':2022,
'impelementing':2023,
'impersonate':2024,
'impersonates':2025,
'implants':2026,
'implement':2027,
'implementations':2028,
'implemented':2029,
'implementer':2030,
'implementers':2031,
'implementing':2032,
'implementors':2033,
'implements':2034,
'implicated':2035,
'implication':2036,
'implicit':2037,
'implicite':2038,
'implicites':2039,
'implicitly':2040,
'impliedly':2041,
'impliedwarranties':2042,
'implies':2043,
'implmentation':2044,
'imply':2045,
'implying':2046,
'implys':2047,
'importance':2048,
'importantes':2049,
'importation':2050,
'importing':2051,
'imposed':2052,
'imposes':2053,
'imposing':2054,
'impossible':2055,
'imposts':2056,
'improbable':2057,
'improper':2058,
'improperly':2059,
'improved':2060,
'improvement':2061,
'improvements':2062,
'improving':2063,
'inability':2064,
'inabilty':2065,
'inaccessible':2066,
'inaccuracies':2067,
'inaccuracy':2068,
'inaccurate':2069,
'inactions':2070,
'inactivity':2071,
'inadvertent':2072,
'inal':2073,
'inamidst':2074,
'inapplicability':2075,
'inapplicable':2076,
'inasmuch':2077,
'inbound':2078,
'incapable':2079,
'incidental':2080,
'inciting':2081,
'incompatibilities':2082,
'incompatibility':2083,
'incomplete':2084,
'incompleteness':2085,
'inconnection':2086,
'inconsequential':2087,
'inconsistencies':2088,
'inconsistency':2089,
'inconsistent':2090,
'inconvenient':2091,
'incorporant':2092,
'incorporate':2093,
'incorporated':2094,
'incorporates':2095,
'incorporating':2096,
'incorporation':2097,
'incorprated':2098,
'incorrect':2099,
'increases':2100,
'incur':2101,
'incurred':2102,
'incurring':2103,
'incurs':2104,
'indebted':2105,
'indecent':2106,
'indefinitely':2107,
'indemnification':2108,
'indemnifications':2109,
'indemnified':2110,
'indemnifies':2111,
'indemnify':2112,
'indemnifying':2113,
'indemnitee':2114,
'indemnitees':2115,
'indemnities':2116,
'indemnity':2117,
'indexing':2118,
'indications':2119,
'indicative':2120,
'indirectly':2121,
'indirects':2122,
'indispensable':2123,
'individual':2124,
'individualization':2125,
'individuals':2126,
'induce':2127,
'inducement':2128,
'induces':2129,
'inducing':2130,
'industrial':2131,
'industry':2132,
'ineffective':2133,
'ineffectiveness':2134,
'ineligibility':2135,
'ineligible':2136,
'inevitable':2137,
'inevitably':2138,
'inexcusable':2139,
'infeasible':2140,
'infer':2141,
'inference':2142,
'inferences':2143,
'inferred':2144,
'inflecting':2145,
'influencing':2146,
'infographics':2147,
'infogroup':2148,
'inform':2149,
'informally':2150,
'informational':2151,
'informations':2152,
'informed':2153,
'informing':2154,
'informs':2155,
'infrastructure':2156,
'infringe':2157,
'infringed':2158,
'infringement':2159,
'infringements':2160,
'infringer':2161,
'infringers':2162,
'infringes':2163,
'infringing':2164,
'infringment':2165,
'ingest':2166,
'inherently':2167,
'inherit':2168,
'inherits':2169,
'inhibit':2170,
'init':2171,
'initative':2172,
'initially':2173,
'initials':2174,
'initiate':2175,
'initiated':2176,
'initiates':2177,
'initiating':2178,
'initiation':2179,
'initiator':2180,
'initio':2181,
'injunction':2182,
'injunctive':2183,
'innovant':2184,
'innovate':2185,
'inoperability':2186,
'inoperable':2187,
'inoperative':2188,
'inoperativeness':2189,
'inordinate':2190,
'inplementation':2191,
'inquiries':2192,
'insecurity':2193,
'inserted':2194,
'inserts':2195,
'insignificant':2196,
'insist':2197,
'insofar':2198,
'insolvency':2199,
'insolvent':2200,
'insomuch':2201,
'inspire':2202,
'installable':2203,
'installation':2204,
'installations':2205,
'installed':2206,
'installers':2207,
'installs':2208,
'instantiate':2209,
'instantiated':2210,
'instigators':2211,
'institute':2212,
'instituted':2213,
'institutes':2214,
'institution':2215,
'institutions':2216,
'instruct':2217,
'instructed':2218,
'instructing':2219,
'instruction':2220,
'instructions':2221,
'instructs':2222,
'instrument':2223,
'instrumentalities':2224,
'instrumentality':2225,
'instruments':2226,
'insubstantial':2227,
'insults':2228,
'insurrections':2229,
'intact':2230,
'intangible':2231,
'intangibles':2232,
'integrated':2233,
'integrates':2234,
'integrator':2235,
'integrators':2236,
'integrees':2237,
'intellectual':2238,
'intellectually':2239,
'intelligence':2240,
'intend':2241,
'intended':2242,
'intending':2243,
'intends':2244,
'intention':2245,
'intentional':2246,
'intentionally':2247,
'intentions':2248,
'intently':2249,
'interact':2250,
'interacted':2251,
'interacting':2252,
'interactively':2253,
'interacts':2254,
'interception':2255,
'interchange':2256,
'interconnect':2257,
'interdependent':2258,
'interdicted':2259,
'interfacing':2260,
'interfere':2261,
'interfered':2262,
'interferes':2263,
'intergovernmental':2264,
'interlog':2265,
'intermediate':2266,
'intermittent':2267,
'internals':2268,
'internationalization':2269,
'interoperability':2270,
'interoperable':2271,
'interoperate':2272,
'interoperates':2273,
'interoperating':2274,
'interoperation':2275,
'interpret':2276,
'interpretation':2277,
'interpretations':2278,
'interpreted':2279,
'interpreter':2280,
'interpreterincompat':2281,
'interpreting':2282,
'interprets':2283,
'interrogatories':2284,
'interrupt':2285,
'interrupted':2286,
'interruption':2287,
'interruptions':2288,
'intially':2289,
'intimidating':2290,
'intranet':2291,
'intranets':2292,
'inure':2293,
'inures':2294,
'invades':2295,
'invalidated':2296,
'invalidity':2297,
'invariable':2298,
'invariant':2299,
'invariants':2300,
'invasive':2301,
'invented':2302,
'invention':2303,
'inventions':2304,
'inventor':2305,
'inventory':2306,
'inversion':2307,
'investigative':2308,
'invites':2309,
'invoice':2310,
'invoices':2311,
'invoking':2312,
'involuntarily':2313,
'involuntary':2314,
'involve':2315,
'involved':2316,
'involvement':2317,
'involves':2318,
'involving':2319,
'irrecoverable':2320,
'irreparable':2321,
'irrespective':2322,
'irreversible':2323,
'irrevocable':2324,
'irrevocably':2325,
'isorecorder':2326,
'isotope':2327,
'issuances':2328,
'issuer':2329,
'iterative':2330,
'jeopardize':2331,
'jeopardizes':2331,
'judge':2332,
'judged':2333,
'judgement':2334,
'judgment':2334,
'judgements':2334,
'judgments':2334,
'judice':2335,
'judicial':2336,
'jure':2337,
'jurisdiction':2338,
'jurisdictions':2338,
'justice':2339,
'justified':2340,
'justify':2341,
'keeper':2342,
'kindly':2343,
'kindness':2344,
'kinds':2345,
'kiosk':2346,
'kiosks':2346,
'knobs':2347,
'knocks':2348,
'knowhow':2349,
'knowing':2350,
'knowingly':2351,
'knowledge':2352,
'labeling':2353,
'labelling':2353,
'labelled':2354,
'labor':2355,
'labour':2355,
'lagpl':2356,
'landline':2357,
'languages':2358,
'lapsed':2359,
'lapses':2360,
'larger':2361,
'lasts':2362,
'latest':2363,
'law':2364,
'lawful':2365,
'lawfully':2366,
'laws':2367,
'lawsuit':2368,
'lawsuits':2369,
'lawyer':2370,
'lawyers':2371,
'lax':2372,
'leach':2373,
'leaps':2374,
'learns':2375,
'leased':2376,
'ledger':2377,
'leds':2378,
'legal':2379,
'legalcode':2380,
'legalese':2381,
'legality':2382,
'legalnotice':2383,
'legible':2384,
'legibly':2385,
'legislation':2386,
'legislative':2387,
'legitimate':2388,
'legitimately':2389,
'lend':2390,
'lesser':2391,
'lesserv3':2392,
'lesset':2393,
'letterform':2394,
'letterforms':2395,
'letterman':2396,
'leverages':2397,
'levied':2398,
'levies':2399,
'lex':2400,
'lexicons':2401,
'lglp3':2402,
'lgpl':2403,
'lgpl2':2404,
'lgpl2+':2405,
'lgpl20':2406,
'lgpl20+':2407,
'lgpl21':2408,
'lgpl21+':2409,
'lgpl3':2410,
'lgpl3+':2411,
'lgpl30':2412,
'lgpl30+':2413,
'lgpld':2414,
'lgpled':2415,
'lgpllr':2416,
'lgplv2':2417,
'lgplv2+':2418,
'lgplv20':2419,
'lgplv20+':2420,
'lgplv21':2421,
'lgplv21+':2422,
'lgplv2h':2423,
'lgplv3':2424,
'lgplv3+':2425,
'lgplv30':2426,
'lgplv30+':2427,
'liabilities':2428,
'liability':2429,
'liabilty':2430,
'liablity':2430,
'liable':2431,
'spdxlicense':2432,
'licenseidentifier':2432,
'licenc':2432,
'licence':2432,
'licences':2432,
'licens':2432,
'lincense':2432,
'lincenses':2432,
'lincence':2432,
'lincences':2432,
'lisence':2432,
'lisences':2432,
'lisense':2432,
'lisenses':2432,
'liscese':2432,
'lisceses':2432,
'lizenz':2432,
'liscense':2432,
'liscence':2432,
'liscenses':2432,
'liscences':2432,
'licenses':2432,
'license':2432,
'licencable':2433,
'licensable':2433,
'licencee':2434,
'licencees':2434,
'lincencee':2434,
'licensees':2434,
'lincensee':2434,
'licensee':2434,
'licencing':2435,
'licensing':2435,
'licenseref':2436,
'licensetext':2437,
'licensetype':2438,
'licenseurl':2439,
'licensor':2440,
'licensors':2440,
'lien':2441,
'liens':2441,
'lifesaving':2442,
'lifted':2443,
'likeness':2444,
'limit':2445,
'limite':2445,
'limits':2445,
'limitations':2446,
'limitation':2446,
'limitative':2447,
'limiting':2448,
'limted':2449,
'lineage':2450,
'linguist':2451,
'linguistic':2452,
'linkable':2453,
'linker':2454,
'linkers':2455,
'liquidation':2456,
'lisensed':2457,
'linsensed':2457,
'licenced':2457,
'lincenced':2457,
'lincensed':2457,
'licensed':2457,
'literal':2458,
'lithography':2459,
'litigant':2460,
'litigated':2461,
'litigating':2462,
'litigation':2463,
'llgpl':2464,
'loadable':2465,
'loader':2466,
'locality':2467,
'localized':2468,
'locations':2469,
'lockouts':2470,
'logger':2471,
'logins':2472,
'logos':2473,
'logotype':2474,
'loopholes':2475,
'loss':2476,
'losses':2477,
'lossless':2478,
'machine':2479,
'mailer':2480,
'mainly':2481,
'maintain':2482,
'maintainable':2483,
'maintainers':2484,
'maintaining':2485,
'maintains':2486,
'majesty':2487,
'makefiles':2488,
'malfunction':2489,
'malfunctioning':2490,
'malfunctions':2491,
'malicious':2492,
'malware':2493,
'mammography':2494,
'managers':2495,
'manaufacturers':2496,
'mandated':2497,
'mandatory':2498,
'maneuvers':2499,
'manifesto':2500,
'manipulate':2501,
'manipulated':2502,
'manipulates':2503,
'manipulating':2504,
'manipulations':2505,
'mankind':2506,
'manner':2507,
'manufacturer':2508,
'manufacturers':2509,
'manufactures':2510,
'manufacturing':2511,
'markers':2512,
'marketability':2513,
'marketed':2514,
'marking':2515,
'markings':2516,
'materialization':2517,
'materially':2518,
'materials':2519,
'maximizing':2520,
'mean':2521,
'meaning':2522,
'meaningful':2523,
'meaningfully':2524,
'meanings':2525,
'means':2526,
'meant':2527,
'measurable':2528,
'measured':2529,
'measures':2530,
'mechanism':2531,
'mediainfo':2532,
'mediastreaming':2533,
'mediator':2534,
'member':2535,
'members':2536,
'membership':2537,
'memento':2538,
'mention':2539,
'mentioned':2540,
'mentioning':2541,
'mentions':2542,
'merchantability':2543,
'merchantable':2544,
'merchantablility':2545,
'merchantibility':2546,
'merchantibilty':2547,
'merely':2548,
'mergchantability':2549,
'merged':2550,
'merges':2551,
'metering':2552,
'methodical':2553,
'metrics':2554,
'microcontroller':2555,
'microcontrollers':2556,
'microdiagram':2557,
'microphones':2558,
'microprocessor':2559,
'microprocessors':2560,
'microsytems':2561,
'middleware':2562,
'migrated':2563,
'minimal':2564,
'minimalist':2565,
'minimally':2566,
'minimis':2567,
'minimize':2568,
'minimizing':2569,
'minors':2570,
'misapplication':2571,
'misappropriate':2572,
'misappropriated':2573,
'misappropriates':2574,
'misappropriation':2575,
'miscellaneous':2576,
'misconduct':2577,
'misconfigurations':2578,
'misdelivery':2579,
'misdirected':2580,
'mise':2581,
'mises':2582,
'misidentification':2583,
'mislead':2584,
'misleading':2585,
'misplaced':2586,
'misrepresent':2587,
'misrepresentation':2588,
'misrepresentative':2589,
'misrepresented':2590,
'missiles':2591,
'mistaken':2592,
'mistakes':2593,
'misuse':2594,
'misusing':2595,
'mitcopyrightbegin':2596,
'mitcopyrightend':2597,
'mitigate':2598,
'mock':2599,
'modeled':2600,
'modeler':2601,
'modifiable':2602,
'modifies':2603,
'modify':2604,
'modifying':2605,
'modiﬁcation':2606,
'money':2607,
'monies':2608,
'morale':2609,
'moreover':2610,
'morph':2611,
'motif':2612,
'motivate':2613,
'motivations':2614,
'mozillapl':2615,
'mozpl':2616,
'mpl':2617,
'mplv2':2618,
'multiauthor':2619,
'multilateral':2620,
'multimedia':2621,
'multiplication':2622,
'multivehicle':2623,
'mumble':2624,
'munitions':2625,
'mutandis':2626,
'mutatis':2627,
'mutilate':2628,
'mutilation':2629,
'mutually':2630,
'named':2631,
'namely':2632,
'narcotic':2633,
'narrowly':2634,
'nda':2635,
'neatly':2636,
'necessarily':2637,
'necessary':2638,
'necessitated':2639,
'necessitating':2640,
'needy':2641,
'negate':2642,
'negatively':2643,
'neglect':2644,
'negligence':2645,
'negligent':2646,
'negotiable':2647,
'negotiated':2648,
'negotiating':2649,
'negotiation':2650,
'neighboring':2651,
'neighbour':2652,
'neighbouring':2653,
'neither':2654,
'networking':2655,
'networks':2656,
'nevertheless':2657,
'newsgroup':2658,
'nexb':2659,
'nicer':2660,
'noderivatives':2661,
'noderivs':2662,
'nominating':2663,
'nonassignable':2664,
'noncommercial':2665,
'noncommerical':2665,
'noncommercially':2666,
'noncompliance':2667,
'nonconflicting':2668,
'nonconformities':2669,
'nonconformity':2670,
'noncorporate':2671,
'nondisclosure':2672,
'nondiscrimination':2673,
'nonetheless':2674,
'nonexclusive':2675,
'nonexistence':2676,
'nonfree':2677,
'nonfunctional':2678,
'nongnu':2679,
'nongovernmental':2680,
'noninfringe':2681,
'noninfringement':2682,
'nonobstant':2683,
'nonoperational':2684,
'nonperformance':2685,
'nonprofit':2686,
'nonproprietary':2687,
'nonpublic':2688,
'nonsense':2689,
'nonstandard':2690,
'nonsublicensable':2691,
'nonsublicenseable':2692,
'nontransferable':2693,
'nontrivial':2694,
'normally':2695,
'normative':2696,
'norms':2697,
'notably':2698,
'notarized':2699,
'notations':2700,
'noted':2701,
'noteworthy':2702,
'noticeable':2703,
'notices':2704,
'notification':2705,
'notifications':2706,
'notified':2707,
'notifies':2708,
'notifying':2709,
'noting':2710,
'notwithstanding':2711,
'noun':2712,
'npl':2713,
'nuclear':2714,
'nuisance':2715,
'nul':2716,
'nullification':2717,
'nullifies':2718,
'nullify':2719,
'nullit':2720,
'nullity':2721,
'numbering':2722,
'numerics':2723,
'oagpl':2724,
'obey':2725,
'obeying':2726,
'obfuscate':2727,
'obfuscated':2728,
'obfuscation':2729,
'obfuscator':2730,
'objectif':2731,
'objection':2732,
'objections':2733,
'obligate':2734,
'obligated':2735,
'obligating':2736,
'obligation':2737,
'obligations':2738,
'oblige':2739,
'obliged':2740,
'oblique':2741,
'obliterated':2742,
'obscene':2743,
'obscure':2744,
'obscured':2745,
'obscures':2746,
'observance':2747,
'observed':2748,
'observes':2749,
'obstruct':2750,
'obstructed':2751,
'obtain':2752,
'obtainable':2753,
'obtained':2754,
'obtaining':2755,
'obtainment':2756,
'obtains':2757,
'obvious':2758,
'obviously':2759,
'occupies':2760,
'occur':2761,
'occurred':2762,
'occurrence':2763,
'occurrences':2764,
'occurring':2765,
'occurs':2766,
'offences':2767,
'offence':2767,
'offenses':2767,
'offense':2767,
'offering':2768,
'offers':2769,
'oglv2':2770,
'oglv3':2771,
'omission':2772,
'omissions':2773,
'omit':2774,
'omitted':2775,
'omitting':2776,
'ommission':2777,
'ommitting':2778,
'omnibus':2779,
'onboarding':2780,
'onerous':2781,
'onward':2782,
'onwards':2783,
'opaque':2784,
'opensource':2785,
'operability':2786,
'operable':2787,
'operate':2788,
'operated':2789,
'operational':2790,
'optimised':2791,
'optimizer':2792,
'optionally':2793,
'options':2794,
'orally':2795,
'orderable':2796,
'ordinances':2797,
'ordinarily':2798,
'organisation':2799,
'organisations':2800,
'organizations':2801,
'organized':2802,
'orginal':2803,
'originally':2804,
'originals':2805,
'originate':2806,
'originated':2807,
'originates':2808,
'originating':2809,
'originator':2810,
'originators':2811,
'otherwise':2812,
'ours':2813,
'ourselves':2814,
'outages':2815,
'outbound':2816,
'outlawed':2817,
'outlying':2818,
'outputting':2819,
'outset':2820,
'outside':2821,
'outsourced':2822,
'outsourcee':2823,
'outsourcees':2824,
'outsourcers':2825,
'overburden':2826,
'overdue':2827,
'overlapped':2828,
'overriding':2829,
'overrule':2830,
'overseen':2831,
'overt':2832,
'overtly':2833,
'overwrites':2834,
'overwriting':2835,
'overwritten':2836,
'owe':2837,
'owed':2838,
'owing':2839,
'owned':2840,
'owners':2841,
'ownership':2842,
'owning':2843,
'package':2844,
'packager':2845,
'packages':2846,
'pageviews':2847,
'paging':2848,
'paid':2849,
'paisible':2850,
'parameters':2851,
'parentheses':2852,
'parenthesis':2853,
'parse':2854,
'parsed':2855,
'parses':2856,
'partcipating':2857,
'partially':2858,
'participants':2859,
'participate':2860,
'participates':2861,
'participating':2862,
'participation':2863,
'particularly':2864,
'parties':2865,
'partitioning':2866,
'partly':2867,
'partner':2868,
'partners':2869,
'partnership':2870,
'partys':2871,
'passages':2872,
'passing':2873,
'passive':2874,
'patched':2875,
'patches':2876,
'patent':2877,
'patentable':2878,
'patented':2879,
'patentee':2880,
'patenting':2881,
'patents':2882,
'pay':2883,
'payed':2884,
'payment':2885,
'pemission':2886,
'penalised':2887,
'penalties':2888,
'people':2889,
'perceivable':2890,
'perceive':2891,
'perceptible':2892,
'perceptions':2893,
'perceptual':2894,
'percolating':2895,
'perfected':2896,
'perform':2897,
'performance':2898,
'performances':2899,
'performed':2900,
'performer':2901,
'performers':2902,
'performing':2903,
'performs':2904,
'periodic':2905,
'periodical':2906,
'periodically':2907,
'periods':2908,
'perjury':2909,
'permanent':2910,
'permanently':2911,
'permision':2912,
'permissable':2913,
'permissible':2914,
'permission':2915,
'permissions':2916,
'permissive':2917,
'permisson':2918,
'permit':2919,
'permition':2920,
'permits':2921,
'permitted':2922,
'permitting':2923,
'perpetual':2924,
'perpetually':2925,
'perpetuity':2926,
'persevere':2927,
'persist':2928,
'person':2929,
'personality':2930,
'personalization':2931,
'personalize':2932,
'personalized':2933,
'personally':2934,
'personnal':2935,
'personnel':2936,
'persons':2937,
'persuant':2938,
'pertain':2939,
'pertaining':2940,
'pertains':2941,
'pertinent':2942,
'pervasive':2943,
'philosophies':2944,
'phishing':2945,
'phonogram':2946,
'phonograms':2947,
'phonography':2948,
'phonorecord':2949,
'phonorecords':2950,
'photocopy':2951,
'photocopying':2952,
'physical':2953,
'physically':2954,
'piracy':2955,
'plagiarize':2956,
'plainly':2957,
'plaintiff':2958,
'pleadings':2959,
'plural':2960,
'pointers':2961,
'polices':2962,
'policies':2963,
'pornographic':2964,
'pornography':2965,
'portability':2966,
'porting':2967,
'possesses':2968,
'possessing':2969,
'possessive':2970,
'possessor':2971,
'possessors':2972,
'possibilities':2973,
'possibiltiy':2974,
'possiblity':2975,
'possibly':2976,
'posted':2977,
'posting':2978,
'postings':2979,
'powering':2980,
'practicable':2981,
'practicably':2982,
'practical':2983,
'practicing':2984,
'preamble':2985,
'preambule':2986,
'prearranged':2987,
'precautionary':2988,
'precautions':2989,
'precedent':2990,
'preceeding':2991,
'preclude':2992,
'precluded':2993,
'precompiled':2994,
'predates':2995,
'predecessor':2996,
'predefined':2997,
'predictable':2998,
'preeminence':2999,
'preexist':3000,
'preexisting':3001,
'preface':3002,
'prefaced':3003,
'prefer':3004,
'preferably':3005,
'preference':3006,
'preferences':3007,
'prejudice':3008,
'prejudicial':3009,
'prejudicing':3010,
'preliminary':3011,
'premises':3012,
'prepaid':3013,
'preparation':3014,
'preparatory':3015,
'prepares':3016,
'prepay':3017,
'preprinted':3018,
'preprocessor':3019,
'preprocessors':3020,
'prerelease':3021,
'prescribe':3022,
'prescribes':3023,
'presentation':3024,
'presentations':3025,
'presented':3026,
'presenter':3027,
'presently':3028,
'presents':3029,
'preservation':3030,
'preserve':3031,
'preserved':3032,
'preserves':3033,
'preserving':3034,
'prestation':3035,
'prestations':3036,
'presumably':3037,
'presumed':3038,
'presumption':3039,
'pretend':3040,
'pretending':3041,
'prevail':3042,
'prevailing':3043,
'prevails':3044,
'preventing':3045,
'previous':3046,
'previously':3047,
'price':3048,
'prices':3049,
'pricing':3050,
'primarily':3051,
'primecuts':3052,
'principally':3053,
'principes':3054,
'printings':3055,
'printouts':3056,
'pristine':3057,
'privacy':3058,
'privileged':3059,
'proactively':3060,
'probability':3061,
'problematic':3062,
'procedural':3063,
'procedure':3064,
'procedures':3065,
'proceeding':3066,
'proceedings':3067,
'proceeds':3068,
'processing':3069,
'procession':3070,
'procure':3071,
'procurements':3072,
'procuring':3073,
'produced':3074,
'producer':3075,
'producers':3076,
'produces':3077,
'producing':3078,
'profane':3079,
'profanity':3080,
'professional':3081,
'professionalism':3082,
'professionally':3083,
'profit':3084,
'profitability':3085,
'profits':3086,
'programm':3087,
'programmable':3088,
'programme':3089,
'programmed':3090,
'programmer':3091,
'programmers':3092,
'programms':3093,
'prohibit':3094,
'prohibited':3095,
'prohibiting':3096,
'prohibition':3097,
'prohibitions':3098,
'prohibits':3099,
'proliferation':3100,
'prologue':3101,
'prolonged':3102,
'prominently':3103,
'promote':3104,
'promoted':3105,
'promotes':3106,
'promoting':3107,
'promotion':3108,
'promotional':3109,
'promotions':3110,
'prompted':3111,
'prompts':3112,
'promulgate':3113,
'promulgated':3114,
'prone':3115,
'proofpoint':3116,
'proofs':3117,
'propagated':3118,
'propagating':3119,
'propagation':3120,
'proper':3121,
'properly':3122,
'proportionate':3123,
'proportionately':3124,
'proportions':3125,
'propose':3126,
'proposed':3127,
'propriately':3128,
'proprietary':3129,
'proprietery':3129,
'proprietize':3130,
'proprietor':3131,
'propriety':3132,
'prorated':3133,
'proscribed':3134,
'prose':3135,
'prosecute':3136,
'prosecuted':3137,
'prosecution':3138,
'prospectively':3139,
'prosperity':3140,
'protect':3141,
'protectable':3142,
'protected':3143,
'protecting':3144,
'protection':3145,
'protections':3146,
'protector':3147,
'protects':3148,
'protocole':3149,
'prototyping':3150,
'provenance':3151,
'provenant':3152,
'proves':3153,
'provider':3154,
'providers':3155,
'providing':3156,
'proving':3157,
'provision':3158,
'provisional':3159,
'provisionally':3160,
'provisioning':3161,
'provisions':3162,
'proviso':3163,
'prudent':3164,
'pseudo':3165,
'pseudocode':3166,
'pseudonym':3167,
'pseudonyms':3168,
'publically':3169,
'publication':3170,
'publications':3171,
'publicdomain':3172,
'publicity':3173,
'publicly':3174,
'publicshed':3175,
'publique':3176,
'publish':3177,
'published':3178,
'publisher':3179,
'publishers':3180,
'publishes':3181,
'publishhed':3182,
'publishing':3183,
'punctuation':3184,
'punitive':3185,
'purchase':3186,
'purchased':3187,
'purchaser':3188,
'purchasers':3189,
'purchases':3190,
'purchasing':3191,
'purdue':3192,
'purge':3193,
'purport':3194,
'purported':3195,
'purporting':3196,
'purports':3197,
'purposes':3198,
'pursuant':3199,
'pursued':3200,
'qualification':3201,
'qualified':3202,
'qualifies':3203,
'qualify':3204,
'qualifying':3205,
'qualitatively':3206,
'quantify':3207,
'quantitatively':3208,
'quickstart':3209,
'quota':3210,
'quotas':3211,
'quoting':3212,
'racist':3213,
'ralink':3214,
'randomly':3215,
'ratifying':3216,
'rationale':3217,
'reachable':3218,
'reactive':3219,
'reactivity':3220,
'readable':3221,
'readjustment':3222,
'readme':3223,
'readmes':3224,
'realises':3225,
'realizes':3226,
'reason':3227,
'reasonable':3228,
'reasonably':3229,
'reasons':3230,
'reassign':3231,
'reassigned':3232,
'reassurances':3233,
'reboot':3234,
'rebranding':3235,
'rebroadcast':3236,
'recast':3237,
'recasting':3238,
'receipt':3239,
'receipts':3240,
'receiver':3241,
'receives':3242,
'receiving':3243,
'recipients':3244,
'reciprocal':3245,
'reciprocate':3246,
'reciprocity':3247,
'recitals':3248,
'recitation':3249,
'recitations':3250,
'recognise':3251,
'recognitions':3252,
'recognizably':3253,
'recognized':3254,
'recombine':3255,
'recombining':3256,
'recommendation':3257,
'recompilation':3258,
'recompile':3259,
'recompiling':3260,
'recompression':3261,
'reconstituted':3262,
'reconstruct':3263,
'recourse':3264,
'rectification':3265,
'rectify':3266,
'recurrence':3267,
'recurring':3268,
'redefined':3269,
'redefining':3270,
'redefinitions':3271,
'redeployments':3272,
'redirects':3273,
'redist':3274,
'redistributable':3275,
'redistributables':3276,
'redistribute':3277,
'redistributed':3278,
'redistributes':3279,
'redistributing':3280,
'redistribution':3281,
'redistributions':3282,
'redistributor':3283,
'redistributors':3284,
'redistricting':3285,
'redistrubute':3286,
'redress':3287,
'redundancy':3288,
'redundant':3289,
'reengineer':3290,
'reexport':3291,
'reexported':3292,
'reexporting':3293,
'refered':3294,
'referenced':3295,
'references':3296,
'referencing':3297,
'referred':3298,
'reflected':3299,
'reflecting':3300,
'reflects':3301,
'reformat':3302,
'reformation':3303,
'reformats':3304,
'reformatted':3305,
'reformed':3306,
'reformulated':3307,
'refrain':3308,
'refund':3309,
'refundable':3310,
'refunded':3311,
'refunds':3312,
'refuses':3313,
'regard':3314,
'regarding':3315,
'regardless':3316,
'registered':3317,
'registering':3318,
'registration':3319,
'registrations':3320,
'regular':3321,
'regularly':3322,
'regulate':3323,
'regulated':3324,
'regulates':3325,
'regulating':3326,
'regulation':3327,
'regulations':3328,
'regulators':3329,
'regulatory':3330,
'reimburse':3331,
'reimbursed':3332,
'reimbursement':3333,
'reimbursements':3334,
'reimplementation':3335,
'reinstall':3336,
'reinstalling':3337,
'reinstate':3338,
'reinstated':3339,
'reinstatement':3340,
'reinstates':3341,
'reintegrate':3342,
'reject':3343,
'rejection':3344,
'rejects':3345,
'relased':3346,
'related':3347,
'relating':3348,
'relaxes':3349,
'releasable':3350,
'releases':3351,
'releasing':3352,
'relevance':3353,
'relevant':3354,
'reliability':3355,
'reliably':3356,
'reliance':3357,
'relicence':3358,
'relicenced':3359,
'relicencing':3360,
'relicense':3361,
'relicensed':3362,
'relicensing':3363,
'relied':3364,
'relief':3365,
'relies':3366,
'relieve':3367,
'relieved':3368,
'relieves':3369,
'relink':3370,
'relinking':3371,
'relinquish':3372,
'relinquished':3373,
'relinquishes':3374,
'relinquishing':3375,
'relinquishment':3376,
'relying':3377,
'remain':3378,
'remainder':3379,
'remained':3380,
'remaining':3381,
'remains':3382,
'remanufactured':3383,
'remediable':3384,
'remedial':3385,
'remediated':3386,
'remedied':3387,
'remedies':3388,
'remit':3389,
'remotely':3390,
'remuneration':3391,
'rename':3392,
'renamed':3393,
'renaming':3394,
'renegotiate':3395,
'renegotiations':3396,
'renewals':3397,
'renonciation':3398,
'renounce':3399,
'rented':3400,
'rents':3401,
'renumbered':3402,
'renunciation':3403,
'reordering':3404,
'reorganization':3405,
'repack':3406,
'repackage':3407,
'repackaging':3408,
'repackagings':3409,
'repaired':3410,
'repealing':3411,
'replacements':3412,
'replaces':3413,
'replacing':3414,
'replicas':3415,
'replicated':3416,
'replications':3417,
'reported':3418,
'repositories':3419,
'reprehensible':3420,
'represent':3421,
'representation':3422,
'representations':3423,
'representative':3424,
'representatives':3425,
'represented':3426,
'representing':3427,
'represents':3428,
'reprises':3429,
'reproduce':3430,
'reproduced':3431,
'reproduces':3432,
'reproducible':3433,
'reproducing':3434,
'reproduct':3435,
'reproduction':3436,
'reproductions':3437,
'republish':3438,
'republished':3439,
'repudiation':3440,
'reputation':3441,
'reputations':3442,
'requested':3443,
'requester':3444,
'requesting':3445,
'requirement':3446,
'requirements':3447,
'requiring':3448,
'requisite':3449,
'requisites':3450,
'rereleased':3451,
'rerouting':3452,
'resale':3453,
'rescinded':3454,
'rescission':3455,
'resell':3456,
'reseller':3457,
'reselling':3458,
'resend':3459,
'reserves':3460,
'resided':3461,
'residence':3462,
'residency':3463,
'resident':3464,
'residents':3465,
'residing':3466,
'residuals':3467,
'resiliation':3468,
'resold':3469,
'resolution':3470,
'resolutory':3471,
'resolved':3472,
'resolving':3473,
'respected':3474,
'respecting':3475,
'respective':3476,
'respectively':3477,
'respects':3478,
'responded':3479,
'responds':3480,
'responsable':3481,
'responsables':3482,
'response':3483,
'responses':3484,
'responsibilities':3485,
'responsibility':3486,
'responsible':3487,
'responsibly':3488,
'restraining':3489,
'restrict':3490,
'restricted':3491,
'restricting':3492,
'restriction':3493,
'restrictions':3494,
'restrictive':3495,
'restrictively':3496,
'restricts':3497,
'restructure':3498,
'resultant':3499,
'resulted':3500,
'resuscitation':3501,
'retailer':3502,
'retailers':3503,
'retain':3504,
'retained':3505,
'retaining':3506,
'retains':3507,
'retitle':3508,
'retract':3509,
'retransfer':3510,
'retrievable':3511,
'retrieved':3512,
'retrieving':3513,
'retroactive':3514,
'retroactively':3515,
'retrospectively':3516,
'reusable':3517,
'reuse':3518,
'reused':3519,
'reuses':3520,
'reusing':3521,
'revealing':3522,
'revenue':3523,
'reversible':3524,
'revert':3525,
'review':3526,
'reviewed':3527,
'reviews':3528,
'revise':3529,
'revised':3530,
'revising':3531,
'revision':3532,
'revisions':3533,
'revived':3534,
'revocable':3535,
'revocation':3536,
'revoke':3537,
'revoked':3538,
'revoking':3539,
'rewrite':3540,
'rewritten':3541,
'righted':3542,
'rightful':3543,
'rightfully':3544,
'rightsholder':3545,
'rightsholders':3546,
'rigorous':3547,
'robotics':3548,
'rollback':3549,
'rosenlaw':3550,
'royalties':3551,
'royalty':3552,
'rue':3553,
'rule':3554,
'rules':3555,
'runnable':3556,
'runtime':3557,
'runtimes':3558,
'safecopy':3559,
'safeguard':3560,
'safeguards':3561,
'safes':3562,
'safest':3563,
'sale':3564,
'sales':3565,
'sampler':3566,
'sanction':3567,
'sanctioned':3568,
'sanctions':3569,
'satisfies':3570,
'satisfying':3571,
'scaffolding':3572,
'scalable':3573,
'scancode':3574,
'scandalous':3575,
'scheduler':3576,
'schemas':3577,
'schematic':3578,
'schematics':3579,
'scrape':3580,
'scraper':3581,
'scraping':3582,
'screamer':3583,
'scriptable':3584,
'seated':3585,
'secondarily':3586,
'secondly':3587,
'secrecy':3588,
'secret':3589,
'secrets':3590,
'sectioning':3591,
'sections':3592,
'secures':3593,
'securised':3594,
'seek':3595,
'seeking':3596,
'seeks':3597,
'segmentation':3598,
'selective':3599,
'selector':3600,
'selects':3601,
'selfhost':3602,
'selfsigned':3603,
'sell':3604,
'selling':3605,
'semblance':3606,
'sentences':3607,
'separable':3608,
'separated':3609,
'separately':3610,
'seperately':3611,
'sequential':3612,
'servicemarks':3613,
'servicing':3614,
'serving':3615,
'settle':3616,
'settled':3617,
'settlement':3618,
'settlements':3619,
'settling':3620,
'sever':3621,
'severability':3622,
'severable':3623,
'severally':3624,
'severed':3625,
'shamelessly':3626,
'sharealike':3627,
'sharedsource':3628,
'shareware':3629,
'shipped':3630,
'shortage':3631,
'shortages':3632,
'shortcomings':3633,
'shortened':3634,
'shortening':3635,
'shortest':3636,
'shortfall':3637,
'shortname':3638,
'shrinkwrap':3639,
'signage':3640,
'signatories':3641,
'signatory':3642,
'signature':3643,
'signatures':3644,
'signed':3645,
'significant':3646,
'significantly':3647,
'signification':3648,
'signifies':3649,
'signify':3650,
'signing':3651,
'signoff':3652,
'similarly':3653,
'simplest':3654,
'simplify':3655,
'simply':3656,
'simultaneous':3657,
'simultaneously':3658,
'singular':3659,
'singularly':3660,
'skeleton':3661,
'sketch':3662,
'sleepycat':3663,
'slicer':3664,
'slogan':3665,
'slogans':3666,
'snippet':3667,
'snippets':3668,
'sold':3669,
'sole':3670,
'solely':3671,
'solicit':3672,
'solicitation':3673,
'solicitations':3674,
'sourced':3675,
'sourcing':3676,
'sovereign':3677,
'spdx':3678,
'specific':3679,
'specifically':3680,
'specifies':3681,
'specify':3682,
'specifying':3683,
'spelled':3684,
'spells':3685,
'splash':3686,
'spokespersons':3687,
'sponsored':3688,
'sponsoring':3689,
'spotted':3690,
'spreadsheets':3691,
'ssleay':3692,
'stability':3693,
'stalking':3694,
'stallman':3695,
'stance':3696,
'standalone':3697,
'standardisation':3698,
'standardization':3699,
'standardized':3700,
'startsmart':3701,
'stated':3702,
'statements':3703,
'statically':3704,
'stating':3705,
'statut':3706,
'statute':3707,
'statutes':3708,
'statutory':3709,
'stencil':3710,
'stencils':3711,
'steward':3712,
'stimulate':3713,
'stipulate':3714,
'stipulated':3715,
'stipulation':3716,
'stipulations':3717,
'stockpiling':3718,
'straightforwardly':3719,
'stringent':3720,
'stylesheet':3721,
'stylesheets':3722,
'styling':3723,
'stylistic':3724,
'stylized':3725,
'subassemblies':3726,
'subclassed':3727,
'subcomponent':3728,
'subcomponents':3729,
'subcontract':3730,
'subcontracting':3731,
'subcontractor':3732,
'subcontractors':3733,
'subdirectories':3734,
'subdirectory':3735,
'subdividing':3736,
'subdomains':3737,
'subjected':3738,
'subjecting':3739,
'sublicensable':3740,
'sublicenseable':3740,
'sublicensed':3741,
'sublicensee':3742,
'sublicensees':3742,
'sublicencee':3742,
'sublicencees':3742,
'sublicenses':3743,
'sublicences':3743,
'sublicence':3743,
'sublicense':3743,
'sublicensing':3744,
'sublicensor':3745,
'submission':3746,
'submissions':3747,
'submits':3748,
'submitted':3749,
'submitter':3750,
'submitters':3751,
'submitting':3752,
'subpackages':3753,
'subparagraph':3754,
'subpart':3755,
'subparts':3756,
'subpoena':3757,
'subprocessor':3758,
'subprograms':3759,
'subproject':3760,
'subprojects':3761,
'subroutine':3762,
'subroutines':3763,
'subscribe':3764,
'subscribed':3765,
'subscriber':3766,
'subscribers':3767,
'subscription':3768,
'subscriptions':3769,
'subsection':3770,
'subsections':3771,
'subsequent':3772,
'subsequently':3773,
'subsets':3774,
'subsetting':3775,
'subsidiaries':3776,
'subsidiary':3777,
'subsidization':3778,
'subsist':3779,
'subsisting':3780,
'subsituting':3781,
'substance':3782,
'substances':3783,
'substantial':3784,
'substantially':3785,
'substantiate':3786,
'substantiated':3787,
'substantive':3788,
'substantively':3789,
'substitute':3790,
'substituted':3791,
'substitutes':3792,
'substituting':3793,
'substitution':3794,
'subsumed':3795,
'subtitute':3796,
'succeeded':3797,
'succeeds':3798,
'successfully':3799,
'successiva':3800,
'successive':3801,
'successor':3802,
'successors':3803,
'sue':3804,
'sues':3805,
'suffice':3806,
'sufficiency':3807,
'sufficient':3808,
'sufficiently':3809,
'suitability':3810,
'suitably':3811,
'summarize':3812,
'summarized':3813,
'summarizes':3814,
'summarizing':3815,
'supercede':3816,
'superceded':3817,
'supercedes':3818,
'supersede':3819,
'superseded':3820,
'supersedes':3821,
'superseding':3822,
'supersedure':3823,
'supplemental':3824,
'supplementary':3825,
'supplemented':3826,
'supplementing':3827,
'supplements':3828,
'supplier':3829,
'suppliers':3830,
'supplies':3831,
'supplying':3832,
'supporting':3833,
'supposed':3834,
'suppress':3835,
'suppression':3836,
'supremacy':3837,
'surcharges':3838,
'surrender':3839,
'surrendered':3840,
'surrenders':3841,
'surreptitiously':3842,
'survenance':3843,
'surveying':3844,
'survival':3845,
'survive':3846,
'survives':3847,
'surviving':3848,
'survivor':3849,
'survivors':3850,
'survivorship':3851,
'susceptible':3852,
'susceptibles':3853,
'suspected':3854,
'suspects':3855,
'suspend':3856,
'suspending':3857,
'suspension':3858,
'suspicious':3859,
'sustainability':3860,
'sustaining':3861,
'synched':3862,
'synching':3863,
'synchronization':3864,
'synonym':3865,
'systematically':3866,
'tacit':3867,
'tacitly':3868,
'taint':3869,
'tainted':3870,
'takedown':3871,
'tampa':3872,
'tamper':3873,
'tampering':3874,
'tangible':3875,
'tariff':3876,
'tariffs':3877,
'tarnishes':3878,
'taxation':3879,
'taxes':3880,
'taxing':3881,
'team':3882,
'technical':3883,
'technically':3884,
'technologist':3885,
'telecommunication':3886,
'telecommunications':3887,
'telecommuting':3888,
'telecopy':3889,
'telematic':3890,
'telematics':3891,
'tenable':3892,
'tenders':3893,
'tenets':3894,
'terminable':3895,
'terminate':3896,
'terminated':3897,
'terminates':3898,
'terminating':3899,
'termination':3900,
'terrestrial':3901,
'territoriale':3902,
'territory':3903,
'terse':3904,
'tested':3905,
'testimonial':3906,
'textual':3907,
'tgppl':3908,
'thereby':3909,
'therefor':3910,
'therefore':3911,
'therefrom':3912,
'therein':3913,
'thereof':3914,
'thereon':3915,
'thereto':3916,
'thereunder':3917,
'therewith':3918,
'thirdparty':3919,
'thompson':3920,
'thoroughly':3921,
'threaten':3922,
'threatening':3923,
'thrives':3924,
'thwart':3925,
'ticketing':3926,
'tightly':3927,
'timed':3928,
'timeframe':3929,
'timeliness':3930,
'timescale':3931,
'timeshare':3932,
'timesharing':3933,
'titled':3934,
'titles':3935,
'tmate':3936,
'tolerant':3937,
'topography':3938,
'topology':3939,
'tort':3940,
'tortious':3941,
'torts':3942,
'tortuous':3943,
'tou':3944,
'tracing':3945,
'trade':3946,
'trademar':3947,
'trademark':3948,
'trademarked':3949,
'trademarks':3950,
'tradename':3951,
'tradenames':3952,
'tradeshows':3953,
'traffickers':3954,
'tranquil':3955,
'transact':3956,
'transaction':3957,
'transactional':3958,
'transactions':3959,
'transacts':3960,
'transcode':3961,
'transcoding':3962,
'transcribed':3963,
'transcription':3964,
'transfer':3965,
'transferability':3966,
'transferable':3967,
'transferee':3968,
'transferees':3969,
'transferor':3970,
'transferrable':3971,
'transferred':3972,
'transferring':3973,
'transfers':3974,
'transfert':3975,
'transformation':3976,
'transformations':3977,
'transforming':3978,
'transitive':3979,
'translated':3980,
'translates':3981,
'translating':3982,
'translations':3983,
'translator':3984,
'translators':3985,
'transmission':3986,
'transmissions':3987,
'transmit':3988,
'transmits':3989,
'transmitted':3990,
'transmitting':3991,
'transported':3992,
'transposed':3993,
'transpositions':3994,
'treated':3995,
'treaties':3996,
'trespass':3997,
'trespassed':3998,
'trespassing':3999,
'trial':4000,
'tribunal':4001,
'tribunals':4002,
'tributed':4003,
'triggered':4004,
'tripple':4005,
'trivial':4006,
'trouble':4007,
'troubleshoot':4008,
'troubleshooting':4009,
'truncate':4010,
'trusster':4011,
'trust':4012,
'trusted':4013,
'trustee':4014,
'trustees':4015,
'truthfully':4016,
'tryout':4017,
'tuned':4018,
'turing':4019,
'tutorial':4020,
'tweak':4021,
'tweaking':4022,
'typeface':4023,
'typefaces':4024,
'typesetting':4025,
'typewritten':4026,
'typographic':4027,
'typographical':4028,
'ultimately':4029,
'unacceptable':4030,
'unacceptably':4031,
'unaccompanied':4032,
'unaffected':4033,
'unaffiliated':4034,
'unalienable':4035,
'unaltered':4036,
'unambiguous':4037,
'unambiguously':4038,
'unanticipated':4039,
'unauthorised':4040,
'unauthorized':4041,
'unavailability':4042,
'unavoidable':4043,
'unbound':4044,
'unbundle':4045,
'unbundled':4046,
'unbundling':4047,
'uncertain':4048,
'unchanged':4049,
'uncitral':4050,
'unclassified':4051,
'unclear':4052,
'uncombined':4053,
'uncommitted':4054,
'unconditional':4055,
'unconditionally':4056,
'unconstrained':4057,
'uncover':4058,
'uncovered':4059,
'uncovers':4060,
'undeliverable':4061,
'undergo':4062,
'underlined':4063,
'undermine':4064,
'undermined':4065,
'undermining':4066,
'underpaid':4067,
'underpayment':4068,
'underpayments':4069,
'underreported':4070,
'underreports':4071,
'underscorejs':4072,
'underscores':4073,
'undersigned':4074,
'undersigns':4075,
'understand':4076,
'understanding':4077,
'understandings':4078,
'understands':4079,
'understood':4080,
'undertake':4081,
'undertaken':4082,
'undertakes':4083,
'undertaking':4084,
'undertakings':4085,
'undesirable':4086,
'undetermined':4087,
'undisputed':4088,
'undue':4089,
'unduly':4090,
'unearned':4091,
'unencumbered':4092,
'unenforceability':4093,
'unenforceable':4094,
'unequivocal':4095,
'unequivocally':4096,
'unestablished':4097,
'unexpected':4098,
'unfairly':4099,
'unfit':4100,
'unforeseeable':4101,
'unhelpful':4102,
'unhindered':4103,
'unidentified':4104,
'uniform':4105,
'uniformly':4106,
'unilateral':4107,
'unilaterally':4108,
'uninstallation':4109,
'uninstallations':4110,
'uninstalled':4111,
'uninstallers':4112,
'uninstalling':4113,
'uninstalls':4114,
'unintended':4115,
'unintentional':4116,
'unintentionally':4117,
'uninterrupted':4118,
'universal':4119,
'universally':4120,
'universities':4121,
'university':4122,
'unjust':4123,
'unknowingly':4124,
'unknown':4125,
'unlawful':4126,
'unless':4127,
'unlicence':4128,
'unlincence':4128,
'unlicense':4128,
'unlicnse':4128,
'unliscense':4128,
'unlicenced':4129,
'unlinsenced':4129,
'unlicensed':4129,
'unlimited':4130,
'unlocking':4131,
'unmaintained':4132,
'unmanned':4133,
'unmodfied':4134,
'unmodified':4134,
'unnamed':4135,
'unnecessarily':4136,
'unnecessary':4137,
'unpack':4138,
'unpacked':4139,
'unpacking':4140,
'unpaid':4141,
'unpatented':4142,
'unported':4143,
'unprecedented':4144,
'unpredictable':4145,
'unprotect':4146,
'unprotected':4147,
'unpublished':4148,
'unreachable':4149,
'unreasonable':4150,
'unreasonably':4151,
'unregister':4152,
'unregistered':4153,
'unrelated':4154,
'unreleased':4155,
'unrest':4156,
'unrestricted':4157,
'unrestrictedly':4158,
'unsafe':4159,
'unscheduled':4160,
'unsigned':4161,
'unsolicited':4162,
'unspecified':4163,
'unsuccessful':4164,
'unsuccessfully':4165,
'unsure':4166,
'untested':4167,
'untied':4168,
'untimely':4169,
'untouched':4170,
'untraceable':4171,
'untrue':4172,
'unusable':4173,
'unverified':4174,
'unwilling':4175,
'unwise':4176,
'upfront':4177,
'upgrade':4178,
'upgraded':4179,
'upgrades':4180,
'upgrading':4181,
'uploads':4182,
'upright':4183,
'upsetting':4184,
'urgence':4185,
'usability':4186,
'usable':4187,
'usage':4188,
'useful':4189,
'usefulbut':4190,
'usefulness':4191,
'usernames':4192,
'uses':4193,
'utah':4194,
'utilisation':4195,
'utilisations':4196,
'utilise':4197,
'utilising':4198,
'utilization':4199,
'utilize':4200,
'utilized':4201,
'utilizes':4202,
'utilizing':4203,
'utlized':4204,
'utmost':4205,
'v1+':4206,
'v2':4207,
'v2+':4208,
'v20':4209,
'v20+':4210,
'v21':4211,
'v21+':4212,
'v2final':4213,
'v3':4214,
'v3+':4215,
'v30':4216,
'v30+':4217,
'vacancies':4218,
'vacancy':4219,
'vague':4220,
'valeur':4221,
'validate':4222,
'validated':4223,
'validating':4224,
'validation':4225,
'validity':4226,
'validly':4227,
'vandalism':4228,
'variant':4229,
'variants':4230,
'variously':4231,
'varsity':4232,
'varying':4233,
'vendor':4234,
'vendors':4235,
'venturers':4236,
'verb':4237,
'verbatim':4238,
'verifiable':4239,
'verified':4240,
'verifying':4241,
'versioning':4242,
'vest':4243,
'vested':4244,
'vetted':4245,
'vicarious':4246,
'viewable':4247,
'vigorously':4248,
'violate':4249,
'violated':4250,
'violates':4251,
'violating':4252,
'violation':4253,
'violators':4254,
'virtualization':4255,
'virtue':4256,
'visibly':4257,
'voided':4258,
'voids':4259,
'voluminous':4260,
'voluntarily':4261,
'volunteer':4262,
'vulgar':4263,
'vulnerabilities':4264,
'vulnerability':4265,
'waivable':4266,
'waive':4267,
'waived':4268,
'waiver':4269,
'waivers':4270,
'waives':4271,
'waiving':4272,
'waranties':4273,
'waranty':4274,
'warrant':4275,
'warranted':4276,
'warrantee':4277,
'warrantees':4278,
'warranties':4279,
'warranting':4280,
'warrants':4281,
'warranty':4282,
'warrenties':4283,
'warrenty':4284,
'watermarks':4285,
'weaken':4286,
'weakening':4287,
'weaker':4288,
'weapon':4289,
'weapons':4290,
'welcomes':4291,
'wether':4292,
'whatever':4293,
'whatsoever':4294,
'whence':4295,
'whenever':4296,
'whereas':4297,
'whereby':4298,
'wherein':4299,
'whereof':4300,
'wherewithal':4301,
'whichever':4302,
'whining':4303,
'whitepapers':4304,
'whoever':4305,
'whole':4306,
'wholly':4307,
'whom':4308,
'whomever':4309,
'widest':4310,
'widgets':4311,
'wildcard':4312,
'wildcards':4313,
'wilful':4314,
'willful':4314,
'willfully':4315,
'willing':4316,
'willingness':4317,
'wishes':4318,
'withdraw':4319,
'withdrawal':4320,
'withdrawn':4321,
'withdraws':4322,
'withheld':4323,
'withhold':4324,
'withholding':4325,
'withholdings':4326,
'within':4327,
'withor':4328,
'withstanding':4329,
'wording':4330,
'wordmark':4331,
'workfile':4332,
'workgroup':4333,
'workings':4334,
'workload':4335,
'workloads':4336,
'workmanlike':4337,
'workmanship':4338,
'workspace':4339,
'workstation':4340,
'workstations':4341,
'worthiness':4342,
'worthwhile':4343,
'writers':4344,
'writes':4345,
'writings':4346,
'wrongdoing':4347,
'wrongful':4348,
'wrongly':4349,
'wxwidgets':4350,
'wxwindows':4351,
'x11':4352,
'x11r5':4353,
'x11r6':4354,
'xerographically':4355,
}

# An extra mapping of equivalent, non-legalese words.
# !!!WARNING: KEEP numbering in sync and sequence with the above!!!
common_non_license_words = {
'ftp':4356,
'http':4356,
'https':4356,
}


def build_legalese_from_iterable(seq):
    """
    Return a new legalese mapping with generated tids from an exiting iterable of legalese tokens.
    """
    return {tok: tid for tid, tok in enumerate(sorted(seq))}


build_dictionary_from_iterable = build_legalese_from_iterable


def build_dictionary_from_mapping(dic):
    """
    Return a new legalese mapping with regenerated tids from an exiting legalese ``dic`` mapping.
    """
    tokens = get_tokens_grouped_by_tid(dic)
    tid_by_token = {}
    for tid, tokens in enumerate(sorted(tokens)):
        for tok in tokens:
            tid_by_token[tok] = tid
    return tid_by_token


def get_tokens_grouped_by_tid(dic):
    """
    Return a legalese list of tuples without tids from a ``dic`` mapping of token->tid.
    Each item in the list is a tuple of one or more token strings that share the same token id
    e.g, they are considered equivalent.
    """
    from collections import defaultdict
    tokens_grouped_by_tid = defaultdict(list)
    for token, tid in dic.items():
        tokens_grouped_by_tid[tid].append(token)
    return [tuple(l) for l in tokens_grouped_by_tid.values()]


if __name__ == '__main__':
    with open(__file__ + ".regen", "w") as of:
        of.write('{\n')
        for tok, tid in build_dictionary_from_mapping(common_license_words).items():
            of.write(f"'{tok}':{tid},\n")
        of.write('}\n')
